import { Component, ChangeDetectionStrategy, inject } from '@angular/core';
import { Title } from '@angular/platform-browser';

@Component({
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: `
    <h1 class="m-12">Sorry. The page you are looking for was not found.</h1>
  `
})
export class NotFoundComponent {

  constructor() {
    const titleService = inject(Title);

    titleService.setTitle('Not Found')
  }
}
